* {
    /* Bloquear seleção de texto */
  user-select: none;
 
  font-family: Arial, sans-serif;
}

body {
  background: #02071B;
  color: white;
  /* overflow-x: hidden !important; */
}
.pt-5, .pb-5 {
    padding-top: 5rem !important;
}
/* section {
  height: 100vh;
  
} */
p {
    color: darkgray;
}
button.btn-w {
    background-color: gold;
    color: #02071b;
    padding: 10px 30px;
    border-radius: 50px;
}
svg.svg-inline--fa {
    color: gold;
    margin-right: 10px;
}
/* ESTADO INICIAL */
.scroll-item {
  opacity: 0;
  transform: translateY(80px);
  transition: all 0.8s cubic-bezier(0.4, 0, 0.2, 1);
}

/* ENTRA */
.scroll-item.show {
  opacity: 1;
  transform: translateY(0);
}

/* SAI */
.scroll-item.hide {
  opacity: 0;
  transform: translateY(-80px);
}

/* DELAYS */
.delay {
  transition-delay: 0.15s;
}

.delay2 {
  transition-delay: 0.3s;
}

/* MODAL */
.project-image {
  width: 100%;
  max-width: 900px;
  margin: 16px auto 24px;
  display: block;
  border-radius: 12px;
  object-fit: cover;
}
.modal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.6);
  display: none;
  justify-content: center;
  align-items: center;
  padding: 20px;
}
.modal-content {
  background: #fff;
  width: 100%;
  max-width: 650px;
  padding: 30px;
  border-radius: 20px;
  position: relative;
  max-height: 90vh;
  overflow-y: auto;
}
.close {
  position: absolute;
  right: 20px;
  top: 15px;
  font-size: 26px;
  cursor: pointer;
}
button.close {
    border: 0px;
    background: transparent;
    /* padding: 50px; */
}
.modal h2 {
  margin-bottom: 20px;
}
.modal p, ul {
    margin-bottom: 14px;
    line-height: 1.6;
    color: black;
}
ul {
    padding-left: 20px;
    list-style: none;
}

.links {
  display: flex;
  gap: 15px;
  margin-top: 25px;
}
.links a {
  background: #000;
  color: #fff;
  padding: 10px 16px;
  border-radius: 10px;
  text-decoration: none;
  font-size: 14px;
} 

/* botão vr mais */

.maisport {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
}

.maisport.aberto {
  max-height: 1600px; /* valor alto para caber o conteúdo */
}

.btn-mais {
    margin-top: 10px;
    background: none;
    border: none;
    color: #01040f;
    font-weight: 600;
    cursor: pointer;
    background-color: gold;
    padding: 10px 30px;
    border-radius: 100px;
}

.btn-mais:hover {
    text-decoration: none;
    border: solid 1px gold;
    background-color: transparent;
    color: gold;
}


/* nav */
/* HEADER */
#header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
  background: transparent;
  transition: background 0.3s ease, box-shadow 0.3s ease;
}

#header.scrolled {
  background: rgba(15, 15, 20, 0.95);
  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}

/* NAV */
.navbar {
  max-width: 1200px;
  margin: auto;
  padding: 16px 24px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* MENU DESKTOP */
.menu {
  display: flex;
  gap: 24px;
  list-style: none;
}

.menu a {
  color: #fff;
  text-decoration: none;
  font-weight: 500;
}

/* HAMBURGER */
.hamburger {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: none;
  border: none;
  cursor: pointer;
}

.hamburger span {
  width: 24px;
  height: 2px;
  background: #fff;
  transition: 0.3s;
}

/* MOBILE */
@media (max-width: 768px) {
  .hamburger {
    display: flex;
  }
  .logo {
    font-size: 30px;
}

#contato .container.pt-5.pb-5 {
    padding: 0px 30px;
}
#contato .mb-12.animate-fade-in {
    padding: 0px 0px 50px 0px;
}
footer .container.pt-5 {
    padding: 0px 30px;
}
footer .col-md-4, .col-md-3, .col-md-2 {
        text-align: center;
        justify-content: center;
        justify-items: center;
        padding: 0px 0px 30px;
    }


  .menu {
        position: fixed;
        top: 70px;
        right: -100%;
        flex-direction: column;
        background: rgb(2 7 27);
        width: 100%;
        /* color: gold; */
        height: calc(100vh - 70px);
        padding: 24px;
        transition: right 0.3s ease;
    }

  .menu.open {
    right: 0;
  }

  .menu li {
    margin-bottom: 16px;
  }
  footer .col-md-4 {
    text-align: center;
    justify-content: center;
    justify-items: center;
    padding: 0px 0px 30px;
}

}




section#hero {
    height: 100vh;
}
section#mais {
    height: auto;
}
.col.hero-text.pt-5.pb-5 img {
    z-index: 10;
    position: relative;
    display: flex;
    width: 85% ;
    left: 0px;
    top: 0px;
    animation-name: myAnimationherotext;
    animation-duration: 1s;
    animation-iteration-count: 1;
}
@keyframes myAnimationherotext {
    0% {right:-500px; top:0px;}
  100% {right: 0px; top: 0px;}
}
.col.hero-img {
    /* width: 85%; */
    justify-content: center;
    display: flex;
    position: absolute;
    z-index: 15;
    bottom: 0px;
    animation-name: myAnimationheroperfil;
    animation-duration: 2s;
    animation-iteration-count: 1;
}

@keyframes myAnimationheroperfil {
    0% {bottom:-500px; top:0px;}
  100% {bottom: 0px; top: 0px;}
}

.col-md-3.hero-title {
    /* bottom: -200px; */
    display: flex;
    position: absolute;
    /* align-items: center; */
    animation-name: herotitle;
    animation-duration: 3s;
    animation-iteration-count: 1;
}
@keyframes herotitle {
    0% {left:-500px; }
  100% {left: 0px; }
}

span.elem-retet img {
    position: absolute;
    top: 0px;
    z-index: 0;
    left: 0px;
    animation-name: myAnimation;
    animation-duration: 2s;
    animation-iteration-count: 1;
}
@keyframes myAnimation {
    0% {left:-500px; top:0px;}
  100% {left: 0px; top: 0px;}
}


span.elem-retet2 img {
    position: absolute;
    top: 0px;
    right: 0px;
    animation-name: myAnimation2;
    animation-duration: 2s;
    animation-iteration-count: 1;
}
@keyframes myAnimation2 {
    0% {right:-500px; top:0px;}
  100% {right: 0px; top: 0px;}
}


span.elem-retet3 img {
    position: absolute;
    bottom: 0px;
    right: 0px;
    animation-name: myAnimation3;
    animation-duration: 2s;
    animation-iteration-count: 1;
}
@keyframes myAnimation3 {
    0% {right:-500px; top:0px;}
  100% {right: 0px; bottom: 0px;}
}

/* comp */
.competencia-img.pt-5 img {
    display: flex;
    position: absolute;
    bottom: 0px;
    right: 0px;
}
#conhecimento {
    background-image: url(/assets/img/fundo.png);
    /* background-position: center; */
    background-repeat: no-repeat;
    background-size: cover;
    /* height: auto; */
    display: flex;
    justify-content: center;
    align-items: center;
}


/* sobr */
section#sobre{
    height: 100vh;
}
.col.sobre-text {
    align-items: center;
    justify-content: center;
    display: flex;
    z-index: 20;
}
section#sobre .sobre-img img {
    bottom: 0px;
    display: flex;
    position: relative;
}

    #port .col-md-3 {
        flex: 0 0 auto;
        width: 25%;
        display: flex;
        justify-content: space-around;
    }
#port button.btn-port {
    background-color: gold;
    color: black;
    padding: 15px 15px;
    border: 0px;
    border-radius: 100px;
    /* font-size: x-large; */
}
.port-1.row.align-items-center {
    padding: 30px 20px 30px;
    border-bottom: solid 1px white;
    margin: 0px auto;
}

/* Extra small devices (phones, 600px and down) */
@media (max-width: 525px) {

    h1.sobre.scroll-item.delay.show {
    font-size: 42px;
}
h5 {
    font-size: 24px;
}
h3.hero {
    font-size: 37px;
}
p {
    font-size: 19px;
}
    #hero{
        height: 100vh;
    }

    section#sobre {
    height: auto;
}
section#conhecimento {
    height: auto;
}
     span.elem-retet img {
        position: absolute;
        z-index: 0;
        left: -70px;
        top: -65px;
        display: none;
    }
span.elem-retet2 img {
        width: 150px;
        right: 0px;
    }
span.elem-retet3 img {
    width: 150px;
    right: 0px;
}
    
     .col.hero-img img {
        /* width: 100%; */
        /* justify-content: center; */
        /* display: flex; */
        position: absolute;
        z-index: 2;
        bottom: 0px;
        /* left: 0px; */
        right: 0px;
    }
    .col.hero-img img {
    right: 0px !important;
}
.col.hero-text.pt-5.pb-5 img {
    z-index: 10;
    position: relative;
    display: flex;
    left: 0px;
    width: 100%;
}
.col.hero-text.pt-5.pb-5 {
    position: absolute;
    width: 70%;
    bottom: 210px;
}

.col-md-3.hero-title {
        bottom: 70px;
        display: flex;
        position: absolute;
        align-items: center;
        z-index: 22;
        width: 90%;
        text-align: left;
        padding: 0px 30px;
    }


    .col.sobre-img img {
    display: flex;
    position: absolute;
    z-index: 10;
    width: -webkit-fill-available;
    order: 1;
}

.col.sobre-text {
    padding-top: 50px;
    align-items: center;
    justify-content: center;
    display: flex;
    z-index: 20;
    order: 2;
}

section#sobre{
    height: auto;
}

#conhecimento {
    background-position: center;
}

#port h1.scroll-item.delay.show {
    font-size: 6rem;
}
#port h2.scroll-item.delay.show {
        font-size: 2.2rem;
        text-align: start;
    }
p.scroll-item.delay.show {
    font-size: 19px;
    text-align: start;
}
#port .row.align-items-center {
    padding: 30px 20px 30px;
    border-bottom: solid 1px white;
    margin: 0px auto;
}
 section#port {
    height:auto ;
}
       #port .col-md-3 {
        flex: none;
        width: 100%;
        display: flex;
        justify-content: flex-start;
        padding: 10px 10px;
    }

}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media (min-width: 668px) {
    section#hero {
    overflow: hidden;
}
        section#sobre {
        height: auto;
        display: flex;
        align-items: center;
    }
        .sobre-title h1 {
        font-size: 32px;
    }
/* section#conhecimento {
    height: auto;
} */

#mais img.scroll-item.show {
        width: 100%;
        padding: 0px 0px 0px;
    }
#port h1.scroll-item.delay.show {
    font-size: 5rem;
}
#port h2.scroll-item.delay.show {
    font-size: 2rem;
}
#port .row.align-items-center {
    padding: 30px 20px 30px;
    border-bottom: solid 1px white;
    margin: 0px auto;
}


}

/* Medium devices (landscape tablets, 768px and up) */

@media (min-width: 768px) {
    span.elem-retet img {
    width: 150px;
}
span.elem-retet2 img {
    width: 150px;
}
span.elem-retet3 img {
    width: 150px;
}
.col.hero-img img {
        width: 75%;
        justify-content: center;
        display: flex;
        position: absolute;
        z-index: 15;
        bottom: 0px;
        left: 50px;
    }

.col.hero-text.pt-5.pb-5 img {
        z-index: 10;
        position: relative;
        display: flex;
        width: 37%;
        left: 0px;
        top: 0px;
    }
    .col-md-3.hero-title {
    top: 50px;
    width: 30%;
    display: flex;
    position: relative;
    align-items: center;
    animation-name: herotitle;
    animation-duration: 3s;
    animation-iteration-count: 1;
}

    h3.hero {
    font-size: 1.1rem;
}

/* sobr */
.col.sobre-text {
    align-items: center;
    justify-content: center;
    display: flex;
    z-index: 20;
    width: 50%;
    position: absolute;
}
    section#sobre .sobre-img img {
        bottom: 0px;
        display: flex;
        position: relative;
        width: 375px;
        left: 321px;
    }




}

/* Large devices (laptops/desktops, 992px and up) */
@media (min-width: 1024px) {
    .col.hero-img {
    width: 65%;
    left: 232px;
}
span.elem-retet img {
    position: absolute;
    top: 0px;
    z-index: 0;
    left: 0px;
    width: 210px;
}
    .col.hero-text.pt-5.pb-5 img {
        z-index: 10;
        position: relative;
        display: flex;
        width: 50%;
        left: 0px;
        top: 0px;
    }

/* img - hero */
.col.hero-img img {
        width: 85%;
        justify-content: center;
        display: flex;
        position: absolute;
        z-index: 15;
        bottom: 0px;
        left: 0px;
    }
/* TXT - hero */
.col-md-3.hero-title {
        /* bottom: -200px; */
        display: flex;
        position: relative;
        align-items: center;
        left: 10px;
    }

h3.hero {
    font-size: 32px;
}


/* sobre */
.col.sobre-img img {
    display: flex;
    width: 600px;
    position: relative;
    z-index: 17;
}
.col.sobre-text {
    position: relative;
    display: flex;
    z-index: 18;
    /* max-width: 100%; */
}
section#sobre .sobre-img img {
        bottom: 0px;
        display: flex;
        position: relative;
        width: 100%;
        left: 0px;
    }
.col.sobre-img {
    display: flex;
}

#mais img.scroll-item.delay.show {
    width: stretch;
}

}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media (min-width: 1440px) {
       .col.hero-img img {
        width: 90%;
        left: 100px;
    }
    .col.hero-text.pt-5.pb-5 {
    z-index: 10;
    position: relative;
    display: flex;
    width: 100%;
    /* left: 40px; */
    top: 30px;
}
    .col.hero-text.pt-5.pb-5 img {
        width: 45%;
    }

.col-md-3.hero-title {
        /* bottom: -200px; */
        display: flex;
        position: relative;
        align-items: center;
        left: 15px;
        z-index: 16;
    }

   
span.elem-retet img {
    width: 307px;
    animation-name: myAnimation;
    animation-duration: 2s;
    animation-iteration-count: 1;
}
#conhecimento .elem-retet{
    background-image: url(img/elemento-retet.png);
}
span.elem-retet2 img {
    width: 307px;
    animation-name: myAnimation2;
    animation-duration: 2s;
    animation-iteration-count: 1;
}

span.elem-retet3 img {
    width: 307px;
    animation-name: myAnimation3;
    animation-duration: 2s;
    animation-iteration-count: 1;
}

h3.hero {
    font-size: 1.8rem;
}


section#sobre .sobre-img img {
        bottom: 0px;
        display: flex;
        position: relative;
        width: 100%;
        left: 0px;
    }



.competencias h1 .text-center .scroll-item .delay .show strong {
    font-size: 3rem;
}

.sobre-title h1 {
        font-size: 3rem;
    }

    
}